## erlang-mimerl 1.2.0

=== Makefile ===
PROJECT=mimerl
PROJECT_DESCRIPTION = library to handle mimetypes
PROJECT_VERSION = 1.0.3

include erlang.mk

.PHONY: gen

# Mimetypes module generator.

GEN_URL = http://svn.apache.org/repos/asf/httpd/httpd/trunk/docs/conf/mime.types
GEN_FILE = mime.types
GEN_SRC = src/mimerl.erl.src
GEN_OUT = src/mimerl.erl

gen:
	@wget -qO $(GEN_FILE) $(GEN_URL)
	@cat $(GEN_SRC) \
		| head -n `grep -n "%% GENERATED" $(GEN_SRC) | cut -d : -f 1` \
		> $(GEN_OUT)
	@cat $(GEN_FILE) \
		| grep -v ^# \
		| awk '{for (i=2; i<=NF; i++) if ($$i != "") { \
			print "extensions(<<\"" $$i "\">>) -> <<\"" $$1 "\">>;"}}' \
		| sort \
		| guniq -w 25 \
		>> $(GEN_OUT)
	@echo "extensions(_) -> <<\"application/octet-stream\">>." >> $(GEN_OUT)
	@echo "" >> $(GEN_OUT)
	@cat $(GEN_FILE) \
		| grep -v ^# \
		| awk '{\
			printf("mimetypes(<<\"%s\">>) -> [", $$1); \
			for (i=2; i<=NF; i++) \
				if ($$i != "") { \
					if (i >= 3){printf(",")} \
					printf("<<\"%s\">>",  $$i) \
				}\
			print "];" \
			}' \
		| sort \
		>> $(GEN_OUT)
	@echo "mimetypes(_) -> [<<>>]." >> $(GEN_OUT)
	@cat $(GEN_SRC) \
		| tail -n +`grep -n "%% GENERATED" $(GEN_SRC) | cut -d : -f 1` \
		>> $(GEN_OUT)

.PHONY: doc deps test

=== debian/changelog ===
erlang-mimerl (1.2.0-2) unstable; urgency=medium

  * Re-upload as source for promotion to testing

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 15 Sep 2019 08:28:59 -0400

erlang-mimerl (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #933907)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 05 Aug 2019 07:02:44 -0400

=== debian/control ===
Source: erlang-mimerl
Section: devel
Priority: optional
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: James Valleroy <jvalleroy@mailbox.org>
Build-Depends: debhelper-compat (= 12), dh-rebar
Standards-Version: 4.4.0
Homepage: https://github.com/benoitc/mimerl
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-mimerl
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-mimerl.git

Package: erlang-mimerl
Architecture: any
Depends: ${erlang:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Erlang library to handle mimetypes
 Parse IANA media types (formerly known as MIME types). mimerl provides
 functions to transform file extension to mimetype, web extension to
 mimetype, filename to mimetype, web path to mimetype, and to return
 the list of extensions for a mimetype.

## erlang-mimerl 1.3.0

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Mimetypes module generator.
 
-GEN_URL = http://svn.apache.org/repos/asf/httpd/httpd/trunk/docs/conf/mime.types
+GEN_URL = https://raw.githubusercontent.com/apache/httpd/trunk/docs/conf/mime.types 
 GEN_FILE = mime.types
 GEN_SRC = src/mimerl.erl.src
 GEN_OUT = src/mimerl.erl

=== debian/changelog ===
erlang-mimerl (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * No source changed to build with new Erlang.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 20 Feb 2025 16:06:39 +0300

erlang-mimerl (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compatibility level to 13.
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 11 May 2024 18:28:21 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
 Uploaders: James Valleroy <jvalleroy@mailbox.org>
-Build-Depends: debhelper-compat (= 12), dh-rebar
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), dh-rebar
+Standards-Version: 4.7.0
 Homepage: https://github.com/benoitc/mimerl
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-mimerl
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-mimerl.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export ERL_COMPILER_OPTIONS=deterministic

%:
	dh $@ --buildsystem=rebar --with rebar

## erlang-mimerl 1.4.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 PROJECT=mimerl
 PROJECT_DESCRIPTION = library to handle mimetypes
 PROJECT_VERSION = 1.0.3
+
+UNIQ := $(shell command -v guniq >/dev/null 2>&1 && echo guniq || echo uniq)
 
 include erlang.mk
 
@@ -23,7 +25,7 @@
 		| awk '{for (i=2; i<=NF; i++) if ($$i != "") { \
 			print "extensions(<<\"" $$i "\">>) -> <<\"" $$1 "\">>;"}}' \
 		| sort \
-		| guniq -w 25 \
+		| $(UNIQ) -w 25 \
 		>> $(GEN_OUT)
 	@echo "extensions(_) -> <<\"application/octet-stream\">>." >> $(GEN_OUT)
 	@echo "" >> $(GEN_OUT)

=== debian/changelog ===
erlang-mimerl (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 15 Aug 2025 13:08:51 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
 Uploaders: James Valleroy <jvalleroy@mailbox.org>
 Build-Depends: debhelper-compat (= 13), dh-rebar
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/benoitc/mimerl
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-mimerl
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-mimerl.git

=== debian/tests/control ===
Tests: usage-example

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%erlang-mimerl-$1.tar.gz%" \
   https://github.com/benoitc/mimerl/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
